Bug 206298 - logwatch df permission denied for automounted dirs
logwatch df permission denied for automounted dirs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 11:24 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-09-13 11:24:17 EDT
Description of problem:

Get the following in logwatch reports:

 --------------------- Disk Space Begin ------------------------ 

 Filesystem                            Size   Used  Avail Use%  Mounted on
 df: `/opt/local': Permission denied


The corresponding avc (visible with enableaudit.pp loaded):

audit(1158160049.194:364): avc:  denied  { search } for  pid=5200 comm="df"
name="/" dev=autofs ino=6438 scontext=system_u:system_r:logwatch_t:s0
tcontext=system_u:object_r:autofs_t:s0 tclass=dir

Version-Release number of selected component (if applicable):
selinux-policy-2.3.7-2.fc5
Comment 1 Daniel Walsh 2006-09-18 14:20:38 EDT
Fixed in selinux-policy-2.3.14-4

Will be added to next back port.
Comment 2 Daniel Walsh 2007-03-28 16:06:13 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.